View Issue Details

IDProjectCategoryView StatusLast Update
0004198SymmetricDSBugpublic2020-01-02 09:37
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.10.8Fixed in Version3.10.8 
Summary0004198: NPE loading batch with JdbcBatchBulkDatabaseWriter data loader "bulk"
DescriptionWhen the channel is set to data loader of "bulk" and the database platform has no native bulk loader (like H2 database), it will use the JdbcBatchBulkDatabaseWriter for bulk loading, which gets a NullPointerException.

ERROR [ManageIncomingBatchListener] [store-dataloader-2] An error caused a batch to fail without attempting to load data for batch 00000-213196 StackTraceKey.init [NullPointerException:771570369]
java.lang.NullPointerException
    at org.jumpmind.symmetric.load.AbstractDataLoaderFactory.buildParameterDatabaseWritterSettings(AbstractDataLoaderFactory.java:14)
    at org.jumpmind.symmetric.ext.BulkDataLoaderFactory.getDataWriter(BulkDataLoaderFactory.java:78)
    at org.jumpmind.symmetric.service.impl.DataLoaderService.buildDataWriter(DataLoaderService.java:762)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2$1.chooseDataWriter(DataLoaderService.java:1077)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:102)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1080)
    at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1057)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
TagsNo tags attached.

Relationships

related to 0004199 closedelong NPE loading batch with JdbcBatchBulkDatabaseWriter data loader "bulk" 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 e09292fe

2019-12-11 18:59:01

admin

Details Diff
0004198: NPE loading batch with JdbcBatchBulkDatabaseWriter data loader
"bulk"

0004198
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/BulkDataLoaderFactory.java Diff File

SymmetricDS: 3.11 302a8676

2019-12-11 18:59:01

admin

Details Diff
0004198: NPE loading batch with JdbcBatchBulkDatabaseWriter data loader
"bulk"

0004198
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/BulkDataLoaderFactory.java Diff File

Issue History

Date Modified Username Field Change
2019-12-11 18:56 elong New Issue
2019-12-11 18:56 elong Status new => assigned
2019-12-11 18:56 elong Assigned To => elong
2019-12-11 18:59 elong Status assigned => resolved
2019-12-11 18:59 elong Resolution open => fixed
2019-12-11 18:59 elong Fixed in Version => 3.10.8
2019-12-11 18:59 elong Target Version 3.11.3 => 3.10.8
2019-12-11 19:00 elong Issue cloned: 0004199
2019-12-11 19:00 elong Relationship added related to 0004199
2019-12-11 19:00 admin Changeset attached => SymmetricDS 3.10 e09292fe
2019-12-12 08:00 admin Changeset attached => SymmetricDS 3.11 302a8676
2020-01-02 09:37 admin Status resolved => closed